svg#svg(height="80vh" width="100%" viewbox='0 0 100 100' xmlns="http://www.w3.org/2000/svg")
  state
    transition(duration="500ms")
    property(name="range" min="0" max="100" type="number" initial="0")
      transform(query-selector='#strict' values='rotate(0);rotate(90);rotate(0)')
        transition(type='strict')
      transform(query-selector='#direct' values='rotate(0);rotate(90);rotate(0)')
        transition(type='direct')
      transform(query-selector='#def' values='rotate(0);rotate(90);rotate(0)')

  g(transform='translate(10 10)')
    rect#strict(y='-5' x='-5' width="10" height="10" style="fill:red;")
  g(transform='translate(25 25)')
    rect#direct(y='-5' x='-5' width="10" height="10" style="fill:red;")
  g(transform='translate(40 40)')
    rect#def(y='-5' x='-5' width="10" height="10" style="fill:red;")
